Skip to main content
GET
Get record and its fields by alias

Authorizations

Authorization
string
header
required

You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>. These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.

Query Parameters

alias
string
required

Alias of a Record Field.

includeVolatileInfo
boolean
default:false

Boolean indicating if additional information regarding volatile fields should be included in the response.

includeDetokenizations
boolean
default:false

Boolean indicating if additional information regarding performed detokenization attempts should be returned.

Response

Record and its fields.

id
string<uuid>

Payrails unique identifier of the record.

type
string

Type of this record, e.g. card or networkToken.

fingerprint
string

The fingerprint of the record. Depending on type can be used to match with other records.

fields
Field object · object[]

Fields belong to this record.

Last modified on October 7, 2026